/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: FaultManager.java ofabre$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.bc.ejb.listener;

import java.util.logging.Level;

import javax.jbi.messaging.Fault;

import org.ow2.petals.bc.ejb.EjbBCException;
import org.ow2.petals.component.framework.exception.PEtALSCDKException;
import org.ow2.petals.component.framework.listener.AbstractJBIListener;
import org.ow2.petals.component.framework.util.Exchange;
import org.ow2.petals.component.framework.util.SourceHelper;

/**
 * 
 * @author ofabre - eBM Websourcing
 * 
 */
public class FaultManager {
    private AbstractJBIListener listener;

    public FaultManager(AbstractJBIListener listener) {
        super();
        this.listener = listener;
    }

    public void onJBIMessage(Exchange exchange) throws EjbBCException {
        // Simply log Fault
        Fault fault = exchange.getFault();
        try {
            listener.getLogger().log(
                    Level.INFO,
                    "JMS BC receive a Fault from an other component : \n"
                            + SourceHelper.createString(fault.getContent()));
        } catch (PEtALSCDKException e) {
            throw new EjbBCException("Error logging fault received on JMS BC", e);
        }
    }
}
