/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: ResponseManager.java ofabre$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.bc.ejb.listener;

import java.util.logging.Level;

import javax.jbi.messaging.MessagingException;

import org.ow2.petals.bc.ejb.EjbBCException;
import org.ow2.petals.component.framework.listener.AbstractJBIListener;
import org.ow2.petals.component.framework.util.Exchange;

/**
 * 
 * @author ofabre - eBM Websourcing
 * 
 */
public class ResponseManager {

    private AbstractJBIListener listener;

    public ResponseManager(AbstractJBIListener listener) {
        super();
        this.listener = listener;
    }

    public void onJBIMessage(Exchange exchange) throws EjbBCException {
        // Simply log Response content
        try {
            listener.getLogger().log(
                    Level.INFO,
                    "JMS BC receive a response from an other component : \n"
                            + exchange.getOutMessageContentAsString());
        } catch (MessagingException e) {
            throw new EjbBCException("Error logging Response received on JMS BC", e);
        }

    }
}
